%define module  Data-OptList
%define	name	perl-%{module}
%define version 0.104
%define release %mkrel 2

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	Parse and validate simple name/value option pairs
License: 	GPL or Artistic
Group: 		Development/Perl
Url:        http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/Data/%{module}-%{version}.tar.gz
BuildRequires:  perl(Sub::Install)
BuildRequires:  perl(Params::Util)
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description 
Hashes are great for storing named data, but if you want more than one entry
for a name, you have to use a list of pairs.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

%check
%{__make} test

%clean 
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Data
%{_mandir}/*/*



%changelog
* Mon Sep 14 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.104-2mdv2010.0
+ Revision: 440544
- rebuild

* Sat Jan 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.104-1mdv2009.1
+ Revision: 330405
- update to new version 0.104

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.103-3mdv2009.0
+ Revision: 256473
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Nov 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.103-1mdv2008.1
+ Revision: 106565
- update to new version 0.103
- update to new version 0.103

* Wed Aug 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.102-1mdv2008.0
+ Revision: 74593
- import perl-Data-OptList


* Wed Aug 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.102-1mdv2008.0
- first mdv release
